tvbrowser.extras.favoritesplugin.core

## Class Exclusion

- java.lang.Object
- - tvbrowser.extras.favoritesplugin.core.Exclusion

- All Implemented Interfaces:
    java.lang.Comparable<Exclusion>

      public class Exclusion
      extends java.lang.Object
      implements java.lang.Comparable<Exclusion>

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `static int` | `DAYLIMIT_DAILY`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `Exclusion(java.io.ObjectInputStream in)`
    `Exclusion(java.lang.String title, java.lang.String topic, Channel channel, int timeFrom, int timeTo, int dayOfWeek, java.lang.String filterName, java.lang.String episodeTitle, int category)` Creates a new exclusion criteria.

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `int` | `compareTo(Exclusion other)`
    `int` | `getCategory()`
    `Channel` | `getChannel()`
    `int` | `getDayOfWeek()`
    `java.lang.String` | `getEpisodeTitle()`
    `ProgramFilter` | `getFilter()`
    `int` | `getTimeLowerBound()`
    `int` | `getTimeUpperBound()`
    `java.lang.String` | `getTitle()`
    `java.lang.String` | `getTopic()`
    `boolean` | `isInvalid()` Gets if this Exclusion is invalid.
    `boolean` | `isProgramExcluded(Program prog)`
    `java.lang.String` | `toString()`
    `void` | `writeData(java.io.ObjectOutputStream out)`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Field Detail

    - #### DAYLIMIT_DAILY

          public static final int DAYLIMIT_DAILY

      See Also:
        Constant Field Values

  - ### Constructor Detail

    - #### Exclusion

          public Exclusion(java.lang.String title,
                   java.lang.String topic,
                   Channel channel,
                   int timeFrom,
                   int timeTo,
                   int dayOfWeek,
                   java.lang.String filterName,
                   java.lang.String episodeTitle,
                   int category)

      Creates a new exclusion criteria.
      Parameters:
        `title` - null, if any title is allowed
        `topic` - null, if any keyword is allowed
        `channel` - null, if any channel is allowed
        `timeFrom` - lower time limit (or -1, if no lower limit exists)
        `timeTo` - upper time limit (or -1, if no upper limit exists)
        `dayOfWeek` - The day of week to use.
        `filterName` - The name of the filter to use;
        `episodeTitle` - null, if any episode title is allowed
        `category` - the category of the program or 0 if no category should be filtered

    - #### Exclusion

          public Exclusion(java.io.ObjectInputStream in)
                    throws java.lang.ClassNotFoundException,
                           java.io.IOException

      Throws:
        `java.lang.ClassNotFoundException`
        `java.io.IOException`

  - ### Method Detail

    - #### writeData

          public void writeData(java.io.ObjectOutputStream out)
                         throws java.io.IOException

      Throws:
        `java.io.IOException`

    - #### getTitle

          public java.lang.String getTitle()

    - #### getTopic

          public java.lang.String getTopic()

    - #### getEpisodeTitle

          public java.lang.String getEpisodeTitle()

    - #### getFilter

          public ProgramFilter getFilter()

    - #### getChannel

          public Channel getChannel()

    - #### getTimeLowerBound

          public int getTimeLowerBound()

    - #### getTimeUpperBound

          public int getTimeUpperBound()

    - #### getDayOfWeek

          public int getDayOfWeek()

    - #### getCategory

          public int getCategory()

    - #### isProgramExcluded

          public boolean isProgramExcluded(Program prog)

    - #### isInvalid

          public boolean isInvalid()

      Gets if this Exclusion is invalid.
      Returns:
        `True` if this Exclusion is invalid, `false` otherwise.

    - #### compareTo

          public int compareTo(Exclusion other)

      Specified by:
        `compareTo` in interface `java.lang.Comparable<Exclusion>`

    - #### toString

          public java.lang.String toString()

      Overrides:
        `toString` in class `java.lang.Object`

TV-Browser 3.4.3, Copyright (C) 2004-2008 TV-Browser Team (dev@tvbrowser.org)